#language: ru

@labeling

Функционал: 004. Labeling. Дозаполение данных по точкам доставки

Сценарий: 004.1. Labeling. Создание группы планирования

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Справочники.к2ГруппыПланированияОтгрузки" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Склад и доставка' 'Группы планирования отгрузки'
	Тогда я жду открытия окна 'Группы планирования отгрузки' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Группы планирования отгрузки (создание)'
	И в поле 'Наименование' я ввожу текст 'Новая группа планирования'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Группы планирования отгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Группы планирования отгрузки'
	И Я закрываю окно 'Группы планирования отгрузки'

Сценарий: 004.2. Labeling. Заполнение группы планирования для точки доставки Обычная точка доставки. Новая группа планирования

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Точки доставки'
	Тогда я жду открытия окна 'Точки доставки' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                      |
		| 'Обычная точка доставки. Новая группа планирования' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Обычная точка доставки. Новая группа планирования (Точка доставки)'
	И из выпадающего списка "Менеджер" я выбираю по строке 'Администратор'
	И я перехожу к закладке "Логистика"
	И из выпадающего списка "Группа планирования отгрузки" я выбираю по строке 'Новая группа планирования'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Обычная точка доставки. Новая группа планирования (Точка доставки) *' в течение 20 секунд
	Тогда открылось окно 'Точки доставки'
	И Я закрываю окно 'Точки доставки'
	
Сценарий: 004.3. Labeling. Завершение

	И Я закрыл все окна клиентского приложения